/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_OPTIONS_H
#define _TF_OPTIONS_H


#include "HeightField.h"


/*
 *  TFOptions: global (static) config values for terraform
 */
class TFOptions 
	{
	public: 
		static void	processGlobalArgs (int argc, char **argv);
		static void	processAppArgs (HeightField **HF, int argc, char **argv);
		static void	help ();

		static bool	s_fillSea,		// is sea filled
				s_fastHalfRes, 		// half resolution for fast wireframe
				s_fastHalfYscale,	// half yscale for fast wireframe
				s_fastZrot;		// enable z-rotation for fast wireframe
		static int	s_scale, 		// display scale
				s_syncRate,		// DrawingArea sync rate
				s_resolution;		// Wire grid resolution
		static float	s_yscale, 		// specify yscale 
				s_sealevel;		// specify sealevel 
	};


#endif // _TF_OPTIONS_H
